Fetch Price Tag
1 min
GET
https://api.nue.io/catalog/price-tags
Query Parameters
- codestringDescription
Responses
200
- object[]
- activebooleanDescription
- codestringDescription
- idstringDescription
- lastPublishedByIdstringDescription
- lastPublishedDatestringDescription
- namestringDescription
- priceTagTypestringDescription
- priceTiersobject[]
- chargeModelstringDescription
- discountPercentagenumberDescription
- idstringDescription
- namestringDescription
- startUnitnumberDescription
- startUnitDimensionstringDescription
- tierNumbernumberDescription
- endUnitnumberDescription
- endUnitDimensionstringDescription
- priceTypestringDescription
- publishStatusstringDescription
- recordTypestringDescription
- startTimestringDescription
- uomDimensionstringDescription
curl
curl --request GET \
--url https://api.nue.io/catalog/price-tags \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/catalog/price-tags", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/catalog/price-tags")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/catalog/price-tags"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful response
[
{
"active": false,
"code": "",
"id": "",
"lastPublishedById": "",
"lastPublishedDate": "",
"name": "",
"priceTagType": "",
"priceTiers": [
{
"chargeModel": "",
"discountPercentage": 0,
"id": "",
"name": "",
"startUnit": 0,
"startUnitDimension": "",
"tierNumber": 0,
"endUnit": 0,
"endUnitDimension": ""
}
],
"priceType": "",
"publishStatus": "",
"recordType": "",
"startTime": "",
"uomDimension": ""
}
]